Bug 1055378 - Review Request: icinga - Open Source host, service and network monitoring program
Summary: Review Request: icinga - Open Source host, service and network monitoring pro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael S.
QA Contact: Fedora Extras Quality Assurance
URL: https://fedoraproject.org/wiki/Featur...
Whiteboard:
: 693608 1029087 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 06:32 UTC by Shawn Starr
Modified: 2015-09-22 18:47 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-22 18:47:39 UTC
misc: fedora-review?


Attachments (Terms of Use)

Description Shawn Starr 2014-01-20 06:32:20 UTC
Description of problem:

New package: icinga

SPEC: http://spstarr.fedorapeople.org/packages/icinga/icinga.spec

SRPM: http://spstarr.fedorapeople.org/packages/icinga/icinga-1.10.2-1.fc20.src.rpm

Aside from any SELinux issues which we will deal with in this ticket, upstream provides some SELinux policy files.

Here is the latest spec and SRPM, first pass mock pass, rpmlint pretty good (with exceptions)

Of note inside SRPM:

icinga-0001-Apache-2.4-configuration-fix-for-Fedora.patch
icinga-0002-Added-several-images-to-the-sample-config-revb.patch
icinga-0003-fix-tests.patch

There are three patches I've included, two from Nagios (the first one modified, second one left as-is) and the third one to fix building the Icinga test suite. If upstream can take any of the patches this would be great!

As with Nagios there are funny permissions in this package, I'd like to make sure we've got this all covered so we don't have any issues.

Let's begin this kickoff review.

Comment 1 Shawn Starr 2014-01-20 06:33:12 UTC
*** Bug 693608 has been marked as a duplicate of this bug. ***

Comment 2 Christopher Meng 2014-01-20 06:34:32 UTC
*** Bug 1029087 has been marked as a duplicate of this bug. ***

Comment 3 Christopher Meng 2014-01-20 06:38:09 UTC
I used to hope this could be a Fedora feature then, not sure if you are interested as putting it into Fedora 21 Changes list?

Comment 4 Shawn Starr 2014-01-20 13:02:17 UTC
Plan is have this for Fedora 19/20 and rawhide (21) then to EPEL7 (and EPEL 6). We can have it as a feature but I am working with upstream directly:

Upstream ticket: https://dev.icinga.org/issues/5499

This is for 1.x for now we want 2.x also but got to get this first.

Comment 5 Shawn Starr 2014-01-20 13:03:57 UTC
I need a formal reviewer however. Barring none on this ticket I will email the Server SIG group or ask some folks on IRC

Comment 6 Christos Triantafyllidis 2014-02-13 00:01:07 UTC
I'll try to have a look on this over the weekend.

I'm not taking it yet in case someone else is faster or I fail to commit over the weekend.

Something that I would like to understand first is how are you planning to cover the upgrade from 1.x to 2.x. I understand there is a compatibility layer between them but I'm not sure if it is a good idea to upgrade a package to a major version within one release (either Fedora or EPEL).

Cheers,
Christos

Comment 7 Christopher Meng 2014-02-13 05:50:00 UTC
I hope we can start from 2.x directly, to avoid the thorny 1.x-> 2.x upgrade(not update).

Comment 8 Shawn Starr 2014-02-13 19:34:24 UTC
1.x and 2.x should be able to be both installed without conflicts, this is something upstream has mentioned, as noted in .spec file.

Comment 9 Michael Friedrich 2014-02-13 20:39:45 UTC
Just a short note with my lead core dev hat on:

Icinga 1.x is ~5 years old after forking from Nagios. It runs smooth and stable in small and large scale environments and may act as drop-in Nagios replacement with additional features. See https://wiki.icinga.org/display/Dev/Bug+and+Feature+Comparison for a detailed list.

Icinga 2.x is a complete rewrite from scratch providing compatible interfaces (status files, DB IDO, Livestatus, Command Pipe, etc) whilst introducing a new configuration format and additional features such as a native cluster stack based on IPv4/6 and x509.

While the transition/upgrade from 1.x to 2.x may not be the easiest (although we're trying very hard), they can run side by side and won't harm each other. Having both packages installed won't hurt the system, they run happily on my laptop every day during development.

The Icinga 1.x Classic UI is compatible with Icinga 2.x so at least a "requirement" somehow. Although team Icinga is currently working on a new 2.0 Icinga Web which is probably ready soon.

In terms of the review I'd highly appreciate it if Icinga 1.x would hit Fedora and EPEL7 after all those years. The community will definitely appreciate it.

Once Icinga (Web) 2.x are ready for their final releases (hopefully Q2 but never say never), packages and review requests should be pushed seperately imho. If you want to testdrive Icinga 2 RPMs - Snapshot SRPMs are available here http://packages.icinga.org/epel/6/snapshot/src/

Comment 10 Christopher Meng 2014-02-14 01:27:39 UTC
(In reply to Michael Friedrich from comment #9)
> While the transition/upgrade from 1.x to 2.x may not be the easiest
> (although we're trying very hard), they can run side by side and won't harm
> each other. Having both packages installed won't hurt the system, they run
> happily on my laptop every day during development.

EPEL packages shouldn't be bumped from 1.x series to 2.x series, once it gets into EPEL, nothing should be changed with the major version. For epel7, since it's not ready, we can bump to anuthing you want, so if we want to ship this package:

1. Create a package "icinga", with 2.x version, and then create a package icinga1, with 1.x version.

2. Create "icinga" only with 2.x, seems objected by some people

3. My opinion: create "icinga" only, but different version in different branch.

Fedora ships 2.x, EPEL6 ships 1.x, EPEL7 ships 2.x.

But it's still not a perfect idea IMO. :)

4. Your opinion here.

> Once Icinga (Web) 2.x are ready for their final releases (hopefully Q2 but
> never say never), packages and review requests should be pushed seperately
> imho. If you want to testdrive Icinga 2 RPMs - Snapshot SRPMs are available
> here http://packages.icinga.org/epel/6/snapshot/src/

Which version is better, and can receive updates in the next 10 years?

Comment 11 Michael Friedrich 2014-02-14 10:22:33 UTC
(In reply to Christopher Meng from comment #10)
> (In reply to Michael Friedrich from comment #9)
> > While the transition/upgrade from 1.x to 2.x may not be the easiest
> > (although we're trying very hard), they can run side by side and won't harm
> > each other. Having both packages installed won't hurt the system, they run
> > happily on my laptop every day during development.
> 
> EPEL packages shouldn't be bumped from 1.x series to 2.x series, once it
> gets into EPEL, nothing should be changed with the major version. For epel7,
> since it's not ready, we can bump to anuthing you want, so if we want to
> ship this package:

Still, if a package is named "icinga" and one "icinga2", that would signal a difference to the user, wouldn't it?


> 
> 1. Create a package "icinga", with 2.x version, and then create a package
> icinga1, with 1.x version.
> 
> 2. Create "icinga" only with 2.x, seems objected by some people
> 
> 3. My opinion: create "icinga" only, but different version in different
> branch.
> 
> Fedora ships 2.x, EPEL6 ships 1.x, EPEL7 ships 2.x.
> 
> But it's still not a perfect idea IMO. :)
> 
> 4. Your opinion here.

Given the current stack of Icinga we have now

Supported

* Icinga Core, Classic UI, IDOUtils
* Icinga Web (1.0)
* Icinga Reporting (requires Jasperserver, cannot be packaged easily)

Unreleased - both are rewrites from scratch

* Icinga 2 (Core)
* Icinga Web (2.0)

The problem with versions on a single package reflecting 1.0 and 2.0 are most likely that users expect a smooth transition and upgrade path. Which cannot be guarantueed due to the nature of both being rewrites.

There are different modules around as well. In Icinga 1.x there's the NEB API allowing binary modules to register callbacks. IDOUtils dumps them to the database, others such as livestatus act as addon packages to be installed only with Icinga 1.x
The Icinga 2 interfaces are binary incompatible with that NEB API. Still it ships its own featureset as replacement (featues such as DB IDO, Livestatus, etc directly implemented). The problem I do see here - the package names are different in 1.x and 2.x

Therefore, I would still vote to bring 1.x as the standard packages into Fedora/EPEL now, and then opt for the 2.x branch once it's become ready. And if 2.x must reside on an experimental repository tree due to problems with 2 different package versions - well, gotta live with that. It took long-term to finally have php53 in RHEL5 anyways.

> 
> > Once Icinga (Web) 2.x are ready for their final releases (hopefully Q2 but
> > never say never), packages and review requests should be pushed seperately
> > imho. If you want to testdrive Icinga 2 RPMs - Snapshot SRPMs are available
> > here http://packages.icinga.org/epel/6/snapshot/src/
> 
> Which version is better, and can receive updates in the next 10 years?

Funny. The SUSE guys asked me the same question for SLES12. The 10 year support strategy hurts, really. I do understand it, but from an open source project's point of view it's hard to actually guarantuee that.

In any attempt, the 1.x branch will be supported as long as needed. There may not be that many features in the future, but bug fixes, security issues, etc will be resolved in short response times as already known from the past 5 years.

In terms of features and additions, the 2.x branch receives plenty of development resources currently and probably will in the future, depending on sponsors and contributions. Though it must be proven stable. 

Team Icinga doesn't have any numbers (Icinga doesn't phone home) of official Icinga installations out there, but the 1.x branch is installed everywhere and that won't change that soon in the next decade. The monitoring community is somewhat "lazy" in terms of upgrading to new versions, and won't change running systems.

Therefore going the 1.x route for stability is imho the right way.

Last but not least, we probably should move the discussion on the 2.x branch to a seperate issue / mailinglist not to spam the review here.

Comment 12 Murray McAllister 2014-03-14 01:56:25 UTC
Hi all,

If you have not already seen, some off-by-one flaws were fixed upstream:

https://git.icinga.org/?p=icinga-core.git;a=commitdiff;h=73285093b71a5551abdaab0a042d3d6bae093b0d

Could those fixes be included before the package is released into Fedora?

Reference:
http://seclists.org/oss-sec/2014/q1/571

Thanks,

--
Murray McAllister / Red Hat Security Response Team

Comment 13 Michael Friedrich 2014-03-14 10:18:06 UTC
That issue flipped into the release, didn't catch up with the original author/comitter yesterday.

I've poked Shawn to update the review spec file for the 1.11 release. There shouldn't be any critical spec file changes between 1.10.x and 1.11.0.

If not, the patch applies cleanly against 1.10 tree too.
https://git.icinga.org/?p=icinga-core.git;a=shortlog;h=refs/heads/support/1.10

Comment 14 Michael Friedrich 2014-03-27 23:42:49 UTC
Either take 1.10.4 or 1.11.1
https://www.icinga.org/2014/03/28/icinga-1-11-1-1-10-4-1-9-6-bugfix-releases/

Comment 15 Shawn Starr 2014-04-22 14:10:47 UTC
I am packaging v1.10.4 these will be ready for review tonight.

Comment 16 Shawn Starr 2014-04-23 17:17:41 UTC
1.11.1 is being packaged now instead, since you've taken most of our patches, I'm just cleaning that up and will post for review the spec/SRPM

Comment 17 Shawn Starr 2014-04-23 18:33:21 UTC
Here is v1.11.1 builds, mock passes, the usual errors are noted uid/gid, funny permissions etc..

SPEC: http://spstarr.fedorapeople.org/packages/icinga/icinga.spec
SRPM: http://spstarr.fedorapeople.org/packages/icinga/icinga-1.11.1-1.fc21.src.rpm

We still do not have SELinux policy generated for this (?) yet. But let's get the core review done, we can drop the SELinux stuff in once we have things sorted.

Comment 18 Shawn Starr 2014-04-24 14:18:08 UTC
There is a license issue someone has raised on IRC


[10:08] <formorer> https://dev.icinga.org/issues/6023
[10:09] <formorer> I just discovered that during a license audit I did for debian
[10:10] <formorer> for debian I will probably remove the whole json tests from the source, until it is fixed.

v1.11.3 will be coming that will fix this, v1.11.2 was released this week without this.

But we still can do a review overall.

Comment 19 Michael Friedrich 2014-04-24 14:23:23 UTC
Right. I required 1.11.2 soon-ish for fixing an incompatibility with Icinga 2 and missed all the rest, sorry about that.

Still, I am not sure how the json (and t-tap) license issue can be fixed (need to discuss that with Ricardo).

Comment 20 Michael Friedrich 2014-05-10 20:37:30 UTC
Have fun with 1.11.3.

https://lists.icinga.org/pipermail/icinga-announce/2014-May/000011.html

Comment 21 Bill McGonigle 2014-05-20 16:41:57 UTC
trying a build on el6, I'm seeing two problems so far.  First is 'solved' - Requires for perl-Test-WWW-Mechanize-CGIApp which appears to be missing from EPEL at this point.

I rebuilt:
  perl-Test-WWW-Mechanize-CGIApp-0.05-7.fc15.src.rpm
(last version without hard perl version requires) on el6.  Output here:
  http://www.bfccomputing.com/downloads/fedora/icinga/

That can go in a separate bug if it's truly needed for icinga (fairly large stack - if it's just for one test maybe we skip it?).

Second, I'm hitting:

  Processing files: icinga-1.11.1-1.el6.x86_64
  error: File must begin with "/": %{_unitdir}/icinga.service

Do we need to ifdef systemd?  I'm presuming somebody still has a sysvinit service file hanging around.  There's one in the rpmforge package.

Comment 22 Shawn Starr 2014-05-24 16:48:00 UTC
the .spec is not EPEL6 friendly, due to no systemd support. I wanted to focus on Fedora first then backport to EPEL6/7.

Comment 24 Shawn Starr 2014-05-24 17:15:26 UTC
@Bill the testsuite was removed by upstream, so this should no longer be needed anymore.

Comment 25 Michael S. 2014-05-26 12:34:54 UTC
I do not understand the split of idoutils-libdbi-pgsql and idoutils-libdbi-mysql. They provides the same files, but do not conflict with each others.

Comment 26 Michael S. 2014-05-26 12:46:49 UTC
Also :

- Source1: icinga.tmpfiles.conf
this is not used anywhere

- Why is there gui and gui-config, if there is only 1 single gui-config package, couldn't they be merged to simplify packaging ?

-
    %if 0%{?el7}%{?fc20}%{?fc21}%{?fc22}
this is not very elegant, shouldn't it just be check against EL6 and disable systemd requires ( and if you go this way, please also take care of the requires on systemd-units ).

- BuildRequires gcc is not needed

- There is a few unowned directory

- License file is not installed in all case ( like if I install just the doc or just guide-config )

- Could upstream be notified for the config.guess / config.sub issue ( so we can drop the explicit requires on libtool ) ?

- %defattr(-,root,root,-)  is not needed, please remove as the spec is already long enough :)

Comment 27 Michael Friedrich 2014-05-26 12:57:49 UTC
(In reply to Michael Scherer from comment #26)
> - Why is there gui and gui-config, if there is only 1 single gui-config
> package, couldn't they be merged to simplify packaging ?

Icinga 2 ships its own configuration required for Icinga Classic UI (standalone installation) [0]. Therefore it was reasonable to split the configuration, and let 2 packages provide it - icinga-gui-config and icinga2-classicui-config. The latter is provided by Icinga 2 (upstream only, there's a pending review request for fedora too).

Icinga 2.0.0 Beta 1 will be released tomorrow [1] btw.

If Fedora decides to solve that in a different manner, it's totally fine. Community members are just using Classic UI or Web 1.x with Icinga 1.x and 2.x, but long-term the in-development Icinga Web 2 shall be used with Icinga 2. 

> - Could upstream be notified for the config.guess / config.sub issue ( so we
> can drop the explicit requires on libtool ) ?

Which issue exactly (didn't find it in the history)? And yes, notifying upstream is very easy. Either create a new issue at https://dev.icinga.org or tell Shawn or Sam to do so ;-)

[0] https://github.com/Icinga/icinga2/blob/next/icinga2.spec#L207
[1] https://dev.icinga.org/projects/i2/roadmap

Comment 28 Michael S. 2014-05-26 18:12:27 UTC
Something around this topic :
https://lists.fedoraproject.org/pipermail/devel/2013-March/180685.html

The spec remove the config.guess and update it from the local copy. I guess it would have been solved already by a new tarball, and so is either not needed, or something to be fixed upstream.

Comment 29 Shawn Starr 2014-06-10 13:43:19 UTC
Sam will be helping us with the SElinux policy files. 

Here's my plan forward, for EPEL5/6 packages we'll keep them out of this scope.

For Fedora 20/21, EPEL7+ these will all be targeted.

I'll have another 1.x build today with Michael Scherer's suggestions

as for: "- Could upstream be notified for the config.guess / config.sub issue ( so we can drop the explicit requires on libtool ) ?"

I'll discuss with Michael

Comment 30 Michael Friedrich 2014-06-20 10:50:22 UTC
(In reply to Shawn Starr from comment #29)
> as for: "- Could upstream be notified for the config.guess / config.sub
> issue ( so we can drop the explicit requires on libtool ) ?"
> 
> I'll discuss with Michael

https://git.icinga.org/?p=icinga-core.git;a=commit;h=4e736b911029dfa7ff4651e56d078b469aa37216

1.11.5 is out soon.

Comment 31 Shawn Starr 2014-07-05 17:21:15 UTC
Comments...

- Source1: icinga.tmpfiles.conf

* This is fixed, thanks

- Why is there gui and gui-config, if there is only 1 single gui-config package, couldn't they be merged to simplify packaging ?

* Michael addressed this ans Icinga 2.x is released now.

-
    %if 0%{?el7}%{?fc20}%{?fc21}%{?fc22}
this is not very elegant, shouldn't it just be check against EL6 and disable systemd requires ( and if you go this way, please also take care of the requires on systemd-units ).

* I've ripped this all out, this is for Fedora 20/21/EPEL7

- BuildRequires gcc is not needed

* Removed

- There is a few unowned directory

******* More eyes would help, if you see some let me know I will add %dir tags for them please ********

- License file is not installed in all case ( like if I install just the doc or just guide-config )

* Added

- Could upstream be notified for the config.guess / config.sub issue ( so we can drop the explicit requires on libtool ) ?

* Upstream has done this

- %defattr(-,root,root,-)  is not needed, please remove as the spec is already long enough :)

* I've removed this specific entry but need the others however.


SPEC:  http://spstarr.fedorapeople.org/packages/icinga/icinga.spec
SRPM: http://spstarr.fedorapeople.org/packages/icinga/icinga-1.11.5-1.fc21.src.rpm

Please provide further feedback, the last thing I'd like is the SELinux pieces in place.

Comment 32 Michael S. 2014-07-20 21:00:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are not set properly.
  there is no reason to use 775 for /usr/share/ stuff and around.

- icinga-doc should be noarch

- /etc/icinga and /var/spool/icinga are unowned

- %defattr is not needed

- spec should use %global instead if %define

- too much duplication of file between idoutils-libdbi-pgsql and idoutils-libdbi-mysql

- requires are not strict enough

- jquery is bundled, so we need bundled(jquery)  per policy
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_temporary_exceptions

- LICENSE is not present when just the -doc rpm is installed

- idoutils-libdbi-mysql conflict with idoutils-libdbi-pgsql

- The idoutils-libdbi-pgsql do not requires anything more than idoutils-libdbi-mysql so 
why is this splitted ?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2) (with
     incorrect FSF address)", "GPL (v2)", "Unknown or generated". 41 files
     have unknown license. Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/1055378-icinga/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /var/spool/icinga
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /var/spool/icinga,
     /usr/lib/systemd/system, /etc/logrotate.d, /etc/icinga, /usr/lib/systemd
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 337920 bytes in 14 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in icinga-gui
     , icinga-gui-config , icinga-devel , icinga-idoutils-libdbi-mysql ,
     icinga-idoutils-libdbi-pgsql , icinga-doc
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define logdir
     %{_localstatedir}/log/%{name}, %define spooldir
     %{_localstatedir}/spool/%{name}, %define plugindir
     %{_libdir}/nagios/plugins, %define extcmdfile
     %{_localstatedir}/spool/%{name}/cmd/icinga.cmd, %define extcmdfiledir
     %{_localstatedir}/spool/%{name}/cmd
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 28088320 bytes in /usr/share icinga-
     doc-1.11.5-1.fc22.x86_64.rpm:20080640
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: icinga-1.11.5-1.fc22.x86_64.rpm
          icinga-gui-1.11.5-1.fc22.x86_64.rpm
          icinga-gui-config-1.11.5-1.fc22.x86_64.rpm
          icinga-devel-1.11.5-1.fc22.x86_64.rpm
          icinga-idoutils-libdbi-mysql-1.11.5-1.fc22.x86_64.rpm
          icinga-idoutils-libdbi-pgsql-1.11.5-1.fc22.x86_64.rpm
          icinga-doc-1.11.5-1.fc22.x86_64.rpm
          icinga-1.11.5-1.fc22.src.rpm
icinga.x86_64: W: spelling-error %description -l en_US nagios -> adagios
icinga.x86_64: E: non-executable-script /usr/lib64/icinga/p1.pl 0664L /usr/bin/perl
icinga.x86_64: W: non-standard-gid /etc/icinga/resource.cfg icinga
icinga.x86_64: E: non-readable /etc/icinga/resource.cfg 0640L
icinga.x86_64: W: non-standard-uid /var/spool/icinga/cmd icinga
icinga.x86_64: W: non-standard-gid /var/spool/icinga/cmd icinga
icinga.x86_64: E: non-standard-dir-perm /var/spool/icinga/cmd 02755L
icinga.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/icinga/README.RHEL
icinga.x86_64: W: non-standard-gid /etc/icinga/conf.d icinga
icinga.x86_64: E: non-standard-dir-perm /etc/icinga/conf.d 0750L
icinga.x86_64: W: non-standard-uid /var/spool/icinga/perfdata icinga
icinga.x86_64: W: non-standard-gid /var/spool/icinga/perfdata icinga
icinga.x86_64: E: non-standard-dir-perm /var/spool/icinga/perfdata 0750L
icinga.x86_64: W: non-standard-uid /var/spool/icinga/checkresults icinga
icinga.x86_64: W: non-standard-gid /var/spool/icinga/checkresults icinga
icinga.x86_64: E: non-standard-dir-perm /var/spool/icinga/checkresults 0750L
icinga.x86_64: W: non-standard-uid /var/log/icinga/archives icinga
icinga.x86_64: W: non-standard-gid /var/log/icinga/archives icinga
icinga.x86_64: E: non-standard-dir-perm /var/log/icinga/archives 0750L
icinga.x86_64: W: non-standard-gid /etc/icinga/objects icinga
icinga.x86_64: E: non-standard-dir-perm /etc/icinga/objects 0750L
icinga.x86_64: W: non-standard-gid /etc/icinga/modules icinga
icinga.x86_64: E: non-standard-dir-perm /etc/icinga/modules 0750L
icinga.x86_64: W: non-standard-uid /var/log/icinga icinga
icinga.x86_64: W: non-standard-gid /var/log/icinga icinga
icinga.x86_64: E: non-standard-dir-perm /var/log/icinga 0750L
icinga.x86_64: W: no-manual-page-for-binary icingastats
icinga.x86_64: W: no-manual-page-for-binary ido2db
icinga.x86_64: W: no-manual-page-for-binary log2ido
icinga.x86_64: W: no-manual-page-for-binary icinga
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/histogram.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/extinfo.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/outages.cgi 0775L
icinga-gui.x86_64: W: non-standard-uid /var/log/icinga/gui/index.htm icinga
icinga-gui.x86_64: W: non-standard-gid /var/log/icinga/gui/index.htm icinga
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/ssi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/hardware 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/avail.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/showlog.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/ui 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/js 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/themes/base 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/vendors 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/tac.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/themes/base/images 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/statusmap.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui-addon 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/themes 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/media 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/config.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/lib64/icinga/cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/summary.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/status.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/other 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/trends.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/stylesheets 0775L
icinga-gui.x86_64: W: non-standard-uid /var/log/icinga/gui icinga
icinga-gui.x86_64: W: non-standard-gid /var/log/icinga/gui icinga
icinga-gui.x86_64: E: non-standard-dir-perm /var/log/icinga/gui 02775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/cmd.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/history.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/notifications.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/equipment 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos 0775L
icinga-gui-config.x86_64: W: spelling-error %description -l en_US ui -> ii, u, i
icinga-gui-config.x86_64: E: non-readable /etc/icinga/passwd 0640L
icinga-gui-config.x86_64: E: non-standard-dir-perm /etc/icinga 0775L
icinga-devel.x86_64: W: no-documentation
icinga-idoutils-libdbi-mysql.x86_64: E: non-readable /etc/icinga/ido2db.cfg 0660L
icinga-idoutils-libdbi-mysql.x86_64: E: non-standard-dir-perm /etc/icinga 0775L
icinga-idoutils-libdbi-mysql.x86_64: W: no-manual-page-for-binary ido2db
icinga-idoutils-libdbi-mysql.x86_64: W: no-manual-page-for-binary log2ido
icinga-idoutils-libdbi-pgsql.x86_64: E: non-readable /etc/icinga/ido2db.cfg 0660L
icinga-idoutils-libdbi-pgsql.x86_64: E: non-standard-dir-perm /etc/icinga 0775L
icinga-idoutils-libdbi-pgsql.x86_64: W: no-manual-page-for-binary ido2db
icinga-idoutils-libdbi-pgsql.x86_64: W: no-manual-page-for-binary log2ido
icinga-doc.x86_64: E: non-standard-dir-perm /usr/share/icinga 0775L
icinga.src: W: spelling-error %description -l en_US nagios -> adagios
icinga.src:16: W: macro-in-comment %{name}
icinga.src:16: W: macro-in-comment %{version}
icinga.src:52: W: unversioned-explicit-provides user(icinga)
icinga.src:53: W: unversioned-explicit-provides group(icinga)
icinga.src:193: W: macro-in-comment %{buildroot}
icinga.src: W: invalid-url Source0: https://github.com/Icinga/icinga-core/releases/download/v1.11.5/icinga-1.11.5.tar.gz HTTP Error 403: Forbidden
8 packages and 0 specfiles checked; 50 errors, 37 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint icinga-doc icinga icinga-idoutils-libdbi-mysql icinga- 
idoutils-libdbi-pgsql icinga-gui icinga-gui-config icinga-devel
icinga-doc.x86_64: E: non-standard-dir-perm /usr/share/icinga 0775L
icinga.x86_64: W: spelling-error %description -l en_US nagios -> adagios
icinga.x86_64: E: non-executable-script /usr/lib64/icinga/p1.pl 0664L /usr/bin/perl
icinga.x86_64: W: non-standard-gid /etc/icinga/resource.cfg icinga
icinga.x86_64: E: non-readable /etc/icinga/resource.cfg 0640L
icinga.x86_64: W: non-standard-uid /var/spool/icinga/cmd icinga
icinga.x86_64: W: non-standard-gid /var/spool/icinga/cmd icinga
icinga.x86_64: E: non-standard-dir-perm /var/spool/icinga/cmd 02755L
icinga.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/icinga/README.RHEL
icinga.x86_64: W: non-standard-gid /etc/icinga/conf.d icinga
icinga.x86_64: E: non-standard-dir-perm /etc/icinga/conf.d 0750L
icinga.x86_64: W: non-standard-uid /var/spool/icinga/perfdata icinga
icinga.x86_64: W: non-standard-gid /var/spool/icinga/perfdata icinga
icinga.x86_64: E: non-standard-dir-perm /var/spool/icinga/perfdata 0750L
icinga.x86_64: W: non-standard-uid /var/spool/icinga/checkresults icinga
icinga.x86_64: W: non-standard-gid /var/spool/icinga/checkresults icinga
icinga.x86_64: E: non-standard-dir-perm /var/spool/icinga/checkresults 0750L
icinga.x86_64: W: non-standard-uid /var/log/icinga/archives icinga
icinga.x86_64: W: non-standard-gid /var/log/icinga/archives icinga
icinga.x86_64: E: non-standard-dir-perm /var/log/icinga/archives 0750L
icinga.x86_64: W: non-standard-gid /etc/icinga/objects icinga
icinga.x86_64: E: non-standard-dir-perm /etc/icinga/objects 0750L
icinga.x86_64: W: non-standard-gid /etc/icinga/modules icinga
icinga.x86_64: E: non-standard-dir-perm /etc/icinga/modules 0750L
icinga.x86_64: W: non-standard-uid /var/log/icinga icinga
icinga.x86_64: W: non-standard-gid /var/log/icinga icinga
icinga.x86_64: E: non-standard-dir-perm /var/log/icinga 0750L
icinga.x86_64: W: no-manual-page-for-binary icingastats
icinga.x86_64: W: no-manual-page-for-binary ido2db
icinga.x86_64: W: no-manual-page-for-binary log2ido
icinga.x86_64: W: no-manual-page-for-binary icinga
icinga-idoutils-libdbi-mysql.x86_64: E: non-readable /etc/icinga/ido2db.cfg 0660L
icinga-idoutils-libdbi-mysql.x86_64: E: non-standard-dir-perm /etc/icinga 0775L
icinga-idoutils-libdbi-mysql.x86_64: W: no-manual-page-for-binary ido2db
icinga-idoutils-libdbi-mysql.x86_64: W: no-manual-page-for-binary log2ido
icinga-idoutils-libdbi-pgsql.x86_64: E: non-readable /etc/icinga/ido2db.cfg 0660L
icinga-idoutils-libdbi-pgsql.x86_64: E: non-standard-dir-perm /etc/icinga 0775L
icinga-idoutils-libdbi-pgsql.x86_64: W: no-manual-page-for-binary ido2db
icinga-idoutils-libdbi-pgsql.x86_64: W: no-manual-page-for-binary log2ido
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/histogram.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/extinfo.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/outages.cgi 0775L
icinga-gui.x86_64: W: non-standard-uid /var/log/icinga/gui/index.htm icinga
icinga-gui.x86_64: W: non-standard-gid /var/log/icinga/gui/index.htm icinga
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/ssi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/hardware 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/avail.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/showlog.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/ui 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/js 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/themes/base 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/vendors 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/tac.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/themes/base/images 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/statusmap.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui-addon 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui/themes 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/media 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/config.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/lib64/icinga/cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/summary.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/status.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/other 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/trends.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/stylesheets 0775L
icinga-gui.x86_64: W: non-standard-uid /var/log/icinga/gui icinga
icinga-gui.x86_64: W: non-standard-gid /var/log/icinga/gui icinga
icinga-gui.x86_64: E: non-standard-dir-perm /var/log/icinga/gui 02775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/cmd.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/history.cgi 0775L
icinga-gui.x86_64: E: non-standard-executable-perm /usr/lib64/icinga/cgi/notifications.cgi 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos/equipment 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/jquery-ui 0775L
icinga-gui.x86_64: E: non-standard-dir-perm /usr/share/icinga/images/logos 0775L
icinga-gui-config.x86_64: W: spelling-error %description -l en_US ui -> ii, u, i
icinga-gui-config.x86_64: E: non-readable /etc/icinga/passwd 0640L
icinga-gui-config.x86_64: E: non-standard-dir-perm /etc/icinga 0775L
icinga-devel.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 50 errors, 30 warnings.
# echo 'rpmlint-done:'



Requires
--------
icinga-doc (rpmlib, GLIBC filtered):

icinga (rpmlib, GLIBC filtered):
    /bin/sh
    config(icinga)
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    libdbi.so.1()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libnsl.so.1()(64bit)
    libperl.so.5.18()(64bit)
    libpthread.so.0()(64bit)
    libresolv.so.2()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    systemd-units

icinga-idoutils-libdbi-mysql (rpmlib, GLIBC filtered):
    /bin/sh
    config(icinga-idoutils-libdbi-mysql)
    icinga
    libc.so.6()(64bit)
    libdbi.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

icinga-idoutils-libdbi-pgsql (rpmlib, GLIBC filtered):
    /bin/sh
    config(icinga-idoutils-libdbi-pgsql)
    icinga
    libc.so.6()(64bit)
    libdbi.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

icinga-gui (rpmlib, GLIBC filtered):
    httpd
    icinga-classicui-config
    icinga-doc
    libc.so.6()(64bit)
    libgd.so.3()(64bit)
    libjpeg.so.62()(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.3.3)(64bit)
    mailx
    perl(:MODULE_COMPAT_5.18.2)
    rtld(GNU_HASH)
    user(icinga)

icinga-gui-config (rpmlib, GLIBC filtered):
    config(icinga-gui-config)
    httpd

icinga-devel (rpmlib, GLIBC filtered):
    icinga



Provides
--------
icinga-doc:
    icinga-doc
    icinga-doc(x86-64)

icinga:
    config(icinga)
    group(icinga)
    icinga
    icinga(x86-64)
    user(icinga)

icinga-idoutils-libdbi-mysql:
    config(icinga-idoutils-libdbi-mysql)
    icinga-idoutils-libdbi-mysql
    icinga-idoutils-libdbi-mysql(x86-64)

icinga-idoutils-libdbi-pgsql:
    config(icinga-idoutils-libdbi-pgsql)
    icinga-idoutils-libdbi-pgsql
    icinga-idoutils-libdbi-pgsql(x86-64)

icinga-gui:
    icinga-gui
    icinga-gui(x86-64)

icinga-gui-config:
    config(icinga-gui-config)
    icinga-classicui-config
    icinga-gui-config
    icinga-gui-config(x86-64)

icinga-devel:
    icinga-devel
    icinga-devel(x86-64)



Unversioned so-files
--------------------
icinga-idoutils-libdbi-mysql: /usr/lib64/icinga/idomod.so
icinga-idoutils-libdbi-pgsql: /usr/lib64/icinga/idomod.so

Source checksums
----------------
https://github.com/Icinga/icinga-core/releases/download/v1.11.5/icinga-1.11.5.tar.gz :
  CHECKSUM(SHA256) this package     : 3183a2b368baf07f8dbd0f2333a751fef98ba3f58b3e85b59cafce5652d72380
  CHECKSUM(SHA256) upstream package : 3183a2b368baf07f8dbd0f2333a751fef98ba3f58b3e85b59cafce5652d72380


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Command line :./try-fedora-review -b 1055378
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 33 Shawn Starr 2014-07-20 21:15:52 UTC
Thanks Michael for running the fedora-review, I will look at these issues and update. There's a whole lot.

Comment 34 Shawn Starr 2014-07-21 05:01:18 UTC
Here is the next updated packages

SPEC: http://spstarr.fedorapeople.org/packages/icinga/icinga.spec
SRPM: http://spstarr.fedorapeople.org/packages/icinga/icinga-1.11.5-2.fc21.src.rpm

Please review, fedora-review only shows permission issues now while everything else looks fine.

Comment 35 Michael S. 2014-07-21 06:56:58 UTC
The spec file was not updated ?

Comment 36 Shawn Starr 2014-07-21 13:11:13 UTC
Sure is? its 1.11.5-2 now, check %changelog info

Comment 37 Michael S. 2014-07-21 21:49:02 UTC
Weird, 2 time a proxy issue, it work after a refresh :/

Anyway:
theses permissions look strange :
%ghost %attr(777,-,-) %{_sysconfdir}/%{name}/ido2db.cfg
%attr(660,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ido2db.cfg.pgsql

Any reason to have a file as 777, and the other as 660 ?
( ie, 640 should enough )

There is still the same file duplicated between idoutils-*, no ?
And looking in more detail, I am wondering if the split really bring something useful, except a different default configuration file.

Comment 38 Shawn Starr 2014-07-22 02:56:31 UTC
Wrt to %ghost this comes from:

https://dev.icinga.org/issues/4517

If the permissions for the symlink don't need to be 777 then 640 would be fine both.

But this goes away if we just bundle w/o the symlink and provide additional documentation on setting up ido2db.

For the latter, I would agree, the DSOs and binaries are identical. I think the typical Fedora/RHEL approach is documentation for the user to switch the symlink themselves?

We can provide both configs but it's up to the user to set ido2db to use the respective backend. 

Thoughts?

Comment 39 Michael Friedrich 2014-07-22 07:58:28 UTC
Mh. The two packages exist mainly for the reason pulling different dependencies.

MySQL requires the libdbi mysql driver.
PostgreSQL requires the libdbi pgsql driver.

I can't see another possibility to make these dependencies happen without 2 separate packages, that's why I've implemented them in the original upstream package years ago.

Comment 40 Michael S. 2014-07-22 19:39:55 UTC
But for now, there is no difference in term of dependencies between the 2 rpms, hence my questions ( unless I didn't see it ).

For the %attr(777), I am not sure we really need to specify them. A symlink is always 777.

And for the 2 rpms and alternative configuration, I wonder if we shouldn't use alternatives.

Comment 41 Shawn Starr 2014-08-06 18:22:23 UTC
alternatives might be a good idea, we do use it for configuration not just DSOs, executables.

Comment 42 Volker Fröhlich 2014-08-06 18:41:24 UTC
For reference: zabbix uses Alternatives for the different DB backend implementations.

Comment 43 Shawn Starr 2014-08-06 19:41:45 UTC
Upstream has concerns that we'd need to then depend on MySQL and PostgreSQL installations.

Comment 44 Volker Fröhlich 2014-08-06 22:12:42 UTC
I don't understand.

Comment 45 reader_1000 2014-11-29 15:02:02 UTC
Hi,

What is the current status of this package? We are waiting this package for a long time in order to migrate.

Comment 46 reader_1000 2015-06-12 18:16:14 UTC
Hi,

Is this package abandoned? It would be great if you continue on packaging since Icinga is a good monitoring software?

Thanks, regards

Comment 47 Shawn Starr 2015-06-12 18:21:52 UTC
Far from it, icinga 1.x is being abandoned 2.x is being worked on, if a ticket isn't existing I will be creating it. I'm working with upstream.

Comment 48 reader_1000 2015-06-13 17:12:50 UTC
Thanks for both explanation and your work on packaging Icinga.

Comment 49 Shawn Starr 2015-09-22 18:47:39 UTC
Currently Icinga 2.x is being packaged a BZ will be forthcoming once I get the SELinux discussion thats now ongoing sorted out.


Note You need to log in before you can comment on or make changes to this bug.